---
title: Intl.Locale
slug: Web/JavaScript/Reference/Global_Objects/Intl/Locale
tags:
  - Class
  - Internationalization
  - Intl
  - JavaScript
  - Reference
---
<div>{{JSRef}}</div>

<p><span class="seoSummary">The <strong><code>Intl.Locale</code></strong> object is a standard built-in property of the Intl object that represents a Unicode locale identifier.</span></p>

<div>{{EmbedInteractiveExample("pages/js/intl-locale.html")}}</div>

<h2 id="Description">Description</h2>

<p>The <code><strong>Intl.Locale</strong></code> object was created to allow for easier manipulation of Unicode locales. Unicode represents locales with a string, called a <em>locale identifier</em>. The locale identifier consists of a <em>language identifier</em> and <em>extension tags</em>. Language identifiers are the core of the locale, consisting of <em>language</em>, <em>script</em>, and <em>region subtags</em>. Additional information about the locale is stored in the optional <em>extension tags</em>. Extension tags hold information about locale aspects such as calendar type, clock type, and numbering system type.</p>

<p>Traditionally, the Intl API used strings to represent locales, just as Unicode does. This is a simple and lightweight solution that works well. Adding a Locale class, however, adds ease of parsing and manipulating the language, script, and region, as well as extension tags.</p>

<h2 id="Constructor">Constructor</h2>

<dl>
 <dt>{{jsxref("Locale/Locale", "Intl.Locale()")}}</dt>
 <dd>Creates a new <code>Locale</code> object.</dd>
</dl>

<h2 id="Instance_properties">Instance properties</h2>

<dl>
 <dt><a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/Locale/baseName"><code>Intl.Locale.prototype.baseName</code></a></dt>
 <dd>Returns basic, core information about the <code>Locale</code> in the form of a substring of the complete data string.</dd>
 <dt><a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/Locale/calendar"><code>Intl.Locale.prototype.calendar</code></a></dt>
 <dd>Returns the part of the <code>Locale</code> that indicates the Locale's calendar era.</dd>
 <dt><a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/Locale/caseFirst"><code>Intl.Locale.prototype.caseFirst</code></a></dt>
 <dd>Returns whether case is taken into account for the locale's collation rules.</dd>
 <dt><a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/Locale/collation"><code>Intl.Locale.prototype.collation</code></a></dt>
 <dd>Returns the collation type for the <code>Locale</code>, which is used to order strings according to the locale's rules.</dd>
 <dt><a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/Locale/hourCycle"><code>Intl.Locale.prototype.hourCycle</code></a></dt>
 <dd>Returns the time keeping format convention used by the locale.</dd>
 <dt><a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/Locale/language"><code>Intl.Locale.prototype.language</code></a></dt>
 <dd>Returns the language associated with the locale.</dd>
 <dt><a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/Locale/numberingSystem"><code>Intl.Locale.prototype.numberingSystem</code></a></dt>
 <dd>Returns the numeral system used by the locale.</dd>
 <dt><a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/Locale/numeric"><code>Intl.Locale.prototype.numeric</code></a></dt>
 <dd>Returns whether the locale has special collation handling for numeric characters.</dd>
 <dt><a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/Locale/region"><code>Intl.Locale.prototype.region</code></a></dt>
 <dd>Returns the region of the world (usually a country) associated with the locale.</dd>
 <dt><a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/Locale/script"><code>Intl.Locale.prototype.script</code></a></dt>
 <dd>Returns the script used for writing the particular language used in the locale.</dd>
</dl>

<h2 id="Instance_methods">Instance methods</h2>

<dl>
 <dt><a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/Locale/maximize"><code>Intl.Locale.prototype.maximize()</code></a></dt>
 <dd>Gets the most likely values for the language, script, and region of the locale based on existing values.</dd>
 <dt><a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/Locale/minimize"><code>Intl.Locale.prototype.minimize()</code></a></dt>
 <dd>Gets the most likely values for the language, script, and region of the locale based on existing values.</dd>
 <dt><a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/Locale/toString"><code>Intl.Locale.prototype.toString()</code></a></dt>
 <dd>Returns the Locale's full locale identifier string.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Basic_usage">Basic usage</h3>

<p>At its very simplest, the {{jsxref("Locale/Locale", "Intl.Locale")}} constructor takes a locale identifier string as its argument:</p>

<pre class="brush: js">let us = new Intl.Locale('en-US');</pre>

<h3 id="Using_the_Locale_constructor_with_an_options_object">Using the Locale constructor with an options object</h3>

<p>The constructor also takes an optional configuration object argument, which can contain any of several extension types. For example, set the <code><a href="/en-US/docs/Web/JavaScript/Reference/Global_Objects/Intl/Locale/hourCycle">hourCycle</a></code> property of the configuration object to your desired hour cycle type, and then pass it into the constructor:</p>

<pre class="brush: js">let us12hour = new Intl.Locale("en-US", {hourCycle: "h12"});
console.log(us12hour.hourCycle); // Prints "h12"</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ES Int Draft', '#locale-objects')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("javascript.builtins.Intl.Locale")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="https://github.com/zbraniecki/Intl.js/tree/intllocale">The Intl.Locale Polyfill</a></li>
 <li><a href="https://www.unicode.org/reports/tr35/#Canonical_Unicode_Locale_Identifiers">Unicode locale identifiers spec</a></li>
</ul>
